Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2008-6821

CVE information

Published

13 years ago

Last Modified

5 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Buffer overflow in the DAS server in IBM DB2 8 before FP17, 9.1 before FP5, and 9.5 before FP2 might allow attackers to execute arbitrary code or cause a denial of service (application crash) via unspecified vectors, a different vulnerability than CVE-2007-3676 and CVE-2008-3853..

CVSSv2.0 Score

Severity
High
Base Score
10/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
10/10
Confidentiality Impact
Complete
Availability Impact
Complete
Integrity Impact
Complete

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:ibm:db2:8.0:fp11:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp10:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.1:fp4:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.1:fp1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.5:fp1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp16:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.1:fp3:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.1:fp3a:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp14:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.1:fp4a:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp1:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:9.1:fp2:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp12:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp13:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:ibm:db2:8.0:fp15:*:*:*:*:*:*
  Yes
- -